/*
	BmFilterAddon.cpp

		$Id: BmFilterAddon.cpp,v 1.4 2003/09/08 20:54:27 zooey Exp $
*/
/*************************************************************************/
/*                                                                       */
/*  Beam - BEware Another Mailer                                         */
/*                                                                       */
/*  http://www.hirschkaefer.de/beam                                      */
/*                                                                       */
/*  Copyright (C) 2002 Oliver Tappe <beam@hirschkaefer.de>               */
/*                                                                       */
/*  This program is free software; you can redistribute it and/or        */
/*  modify it under the terms of the GNU General Public License          */
/*  as published by the Free Software Foundation; either version 2       */
/*  of the License, or (at your option) any later version.               */
/*                                                                       */
/*  This program is distributed in the hope that it will be useful,      */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU    */
/*  General Public License for more details.                             */
/*                                                                       */
/*  You should have received a copy of the GNU General Public            */
/*  License along with this program; if not, write to the                */
/*  Free Software Foundation, Inc., 59 Temple Place - Suite 330,         */
/*  Boston, MA  02111-1307, USA.                                         */
/*                                                                       */
/*************************************************************************/


#ifdef __POWERPC__
#define BM_BUILDING_BMBASE 1
#endif

#include "BmFilterAddon.h"

/********************************************************************************\
	BmFilterAddon
\********************************************************************************/

const char* MSG_LIST_NAME 				= "bm:lstnm";
const char* MSG_MENU_POINTER			= "bm:mptr";
const char* MSG_MENU_TARGET			= "bm:trgt";
const char* MSG_MSG_TEMPLATE			= "bm:tmpl";

const char* BM_FOLDERLIST_NAME		= "FolderList";
const char* BM_STATUSLIST_NAME		= "StatusList";
const char* BM_IDENTITYLIST_NAME		= "IdentityList";

const char* const BmFilterAddon::FK_FOLDER =   "bm:folder";
const char* const BmFilterAddon::FK_IDENTITY = "bm:identity";

/*------------------------------------------------------------------------------*\
	BmFilterAddon()
		-	c'tor
\*------------------------------------------------------------------------------*/
BmFilterAddon::BmFilterAddon() 
{
}

/*------------------------------------------------------------------------------*\
	~BmFilterAddon()
		-	standard d'tor
\*------------------------------------------------------------------------------*/
BmFilterAddon::~BmFilterAddon() {
}



/********************************************************************************\
	BmMsgContext
\********************************************************************************/

/*------------------------------------------------------------------------------*\
	BmMsgContext()
		-	c'tor
\*------------------------------------------------------------------------------*/
BmMsgContext::BmMsgContext( const BmString& mtxt, const BmString& mid) 
	:	rawMsgText( mtxt)
	,	mailId( mid)
	,	headerInfos( NULL)
	,	moveToTrash( false)
	,	stopProcessing( false)
{
}

/*------------------------------------------------------------------------------*\
	~BmMsgContext()
		-	standard d'tor
\*------------------------------------------------------------------------------*/
BmMsgContext::~BmMsgContext() {
	if (headerInfos) {
		for( int i=0; i<headerInfoCount; ++i)
			delete [] headerInfos[i].values;
		delete [] headerInfos;
	}
}

